#
# spec file for package rubygem-curb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-curb
Version:        0.8.4
Release:        3.1
%define mod_name curb
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
Url:            http://curb.rubyforge.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Ruby libcurl bindings
License:        MIT
Group:          Development/Languages/Ruby
# MANUAL
BuildRequires:  curl-devel

%description
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for the
libcurl(3), a fully-featured client-side URL transfer library. cURL and
libcurl live at http://curl.haxx.se/

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install %{S:0}
%gem_cleanup
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/README %buildroot/%{_docdir}/%{name}/README

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog
* Sat May 25 2013 coolo@suse.com
- updated to version 0.8.4
* Wed Nov 14 2012 coolo@suse.com
- updated to version 0.8.3
* Tue Nov  6 2012 coolo@suse.com
- updated to version 0.8.2
* Sat Aug  4 2012 coolo@suse.com
- updated to version 0.8.1
* Mon Apr  2 2012 fcastelli@suse.com
- Update to 0.8.0
* Thu Jul 21 2011 fcastelli@novell.com
- updated to version 0.7.15
- added curb_0_7, this is needed to build latest versions of
  rubygem-feedzirra
- removed patch used to build for sles10 since this target is
  disabled on d:l:r:e
* Wed Jun 23 2010 mrueckert@suse.de
- applied 6e3a2bbbf939cf55fbf1ad188b836912547819c1.patch to the gem
  file: fixes build for sles10
* Tue Jun 22 2010 mrueckert@suse.de
- update to version 0.7.7
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.7.5
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan  7 2010 prusnak@suse.cz
- created package
